summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2017-12-18 19:42:49 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2017-12-18 19:42:49 +0100
commit6cc322f48df8a2a78b6dbdf86af607c1a31de2b9 (patch)
treedc79a5f9498c614ccd9c02bc0baa7ffb5b12e7b0
parent52ca369ba67b6cc0ef7af728e5c5da313e153345 (diff)
downloaddeployment-6cc322f48df8a2a78b6dbdf86af607c1a31de2b9.tar.gz
deployment-6cc322f48df8a2a78b6dbdf86af607c1a31de2b9.tar.bz2
deployment-6cc322f48df8a2a78b6dbdf86af607c1a31de2b9.zip
*wrapping* curl
-rwxr-xr-xbuildbot/checks.sh24
1 files changed, 12 insertions, 12 deletions
diff --git a/buildbot/checks.sh b/buildbot/checks.sh
index aafeacc..c8a45aa 100755
--- a/buildbot/checks.sh
+++ b/buildbot/checks.sh
@@ -8,50 +8,50 @@ if test $active = "test-blue"; then
nonactive="green"
fi
-if ! test 200 = curl \
+if ! test 200 = $(curl \
-H "X-Taler-Deployment-Color: $nonactive" \
-s https://exchange.test.taler.net/ -o /dev/null \
- -w "%{http_code}"; then
+ -w "%{http_code}"); then
echo Exchange did not restart correctly
exit 1
fi
-if ! test 200 = curl \
+if ! test 200 = $(curl \
-H "X-Taler-Deployment-Color: $nonactive" \
-s http://backend.test.taler.net/ -o /dev/null \
- -w "%{http_code}"; then
+ -w "%{http_code}"); then
echo Merchant backend did not restart correctly
exit 1
fi
-if ! test 200 = curl \
+if ! test 200 = $(curl \
-H "X-Taler-Deployment-Color: $nonactive" \
-s https://shop.test.taler.net/ -o /dev/null \
- -w "%{http_code}"; then
+ -w "%{http_code}"); then
echo Blog did not restart correctly
exit 1
fi
-if ! test 200 = curl \
+if ! test 200 = $(curl \
-H "X-Taler-Deployment-Color: $nonactive" \
-s https://donations.test.taler.net/ -o /dev/null \
- -w "%{http_code}"; then
+ -w "%{http_code}"); then
echo Donations shop did not restart correctly
exit 1
fi
-if ! test 200 = curl \
+if ! test 200 = $(curl \
-H "X-Taler-Deployment-Color: $nonactive" \
-s https://bank.test.taler.net/ -o /dev/null \
- -w "%{http_code}"; then
+ -w "%{http_code}"); then
echo Bank did not restart correctly
exit 1
fi
-if ! test 200 = curl \
+if ! test 200 = $(curl \
-H "X-Taler-Deployment-Color: $nonactive" \
-s https://test.taler.net/ -o /dev/null \
- -w "%{http_code}"; then
+ -w "%{http_code}"); then
echo Landing page did not restart correctly
exit 1
fi